# pica-nginx

Ce dossier contient une image NGINX maintenue par l'association.

L'image est basée sur `pica-debian`, mais n'est pas encore au point (cf. [cette carte](https://kanban.picasoft.net/b/7fCn765LCNGraBhxA/team-technique-picasoft/pgtqebNDqsBMSj6ke)).

Elle sert de base à tous les sites web simples hébergés par Picasoft (ex: `www`, `school`, `radio`...)

## Ajouter un nouveau site

Exemple de `docker-compose.yml`

```
volumes:
    mon_site:

services:
  mon_site:
    container_name: mon_site
    image: registry.picasoft.net/pica-nginx:stretch-20190915
    volumes:
      - mon_site:/var/www/html
    labels:
      - "traefik.frontend.rule=Host:mon_site.picasoft.net"
      - "traefik.port=80"
      - "traefik.enable=true"
    environment:
      - AUTOINDEX=true
    restart: always
```

## Environnement

La variable d'environnement `AUTOINDEX`, losrqu'elle a pour valeur `true`, permet d'activer l'affichage des répertoires et leur contenu (en ajoutant `autoindex on;` à `/etc/nginx/nginx.conf` - [plus d'infos](https://nixcp.com/nginx-autoindex/))


## Mise à jour de l'image

1. Cloner ce repo
1. Construire l'image (sur `pica01-test` par exemple): \
   `docker build -t registry.picasoft.net/pica-nginx:20190915 <repo_cloné>/pica-nginx/` \
   Ne pas oublier d'indiquer la date du jour dans le tag
1. `docker push registry.picasoft.net/pica-nginx:20190915`
1. Sur la machine cîble: \
   `docker pull registry.picasoft.net/pica-nginx:20190915`
1. Mettre à jour le `docker-compose.yml`
